#include "pch.h"
#include "BKMSTD11M.h"
#include "resource.h"

CBKMSTD11M::CBKMSTD11M(CPlatform *p)
	: CBKMSTD11(p)
{}

CBKMSTD11M::~CBKMSTD11M()
    = default;

bool CBKMSTD11M::OnInitDevice()
{
	static const std::array<CBKMPIDevice::BoardRomList_t, MSTD11RomListSize> m_arrMSTD11MRomList =
	{
		{
			{ IDS_INI_BK11M_RE2_330_MSTD, BRD_11_TESTS_BNK }
		}
	};
	// инициализация карты памяти
	return InitMemoryModules(m_arrMSTD11MRomList);
}

